#
# spec file for package circuslinux
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           circuslinux
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  automake
BuildRequires:  update-desktop-files
Summary:        A Clone of the Atari 2600 Game "Circus Atari"
License:        GPL-1.0
Group:          Amusements/Games/Action/Breakout
Version:        1.0.3
Release:        1286.4
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         %{name}-%{version}.patch
Url:            http://www.newbreedsoftware.com/circus-linux/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The object is to move a teeter-totter back and forth across the screen
to bounce clowns into the air. When they reach the top, they pop rows
of balloons, and then fall back down.

%prep
%autosetup -p0

%build
AUTOMAKE='automake --foreign' autoreconf -fi
%configure \
  --datadir=%{_datadir}/games
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT%{_datadir}/games/circuslinux -type f -exec chmod 644 {} \;
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/circuslinux-*
%suse_update_desktop_file -i %{name} Game ArcadeGame
install -D -m 0644 data/images/icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%files
%defattr(-,root,root)
%doc AUTHORS.txt COPYING.txt INSTALL.txt README.txt CHANGES.txt FAQ.txt README-SDL.txt
%{_bindir}/*
%dir %{_datadir}/games/circuslinux
%{_datadir}/games/circuslinux/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Wed Feb  8 2017 kukuk@suse.de
- Move /usr/games to /usr/bin as done with the rest 4 years ago.
* Wed Apr  8 2015 dimstar@opensuse.org
- Add a comment to the .desktop file (minimal requirement to show
  up in AppStream based software centers).
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Thu Dec 24 2009 coolo@novell.com
- some spec file clean up
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep  6 2005 nadvornik@suse.cz
- installed icon [#113919]
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sun Aug 10 2003 sndirsch@suse.de
- added desktop file
* Mon May 26 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Feb 26 2002 nadvornik@suse.cz
- fixed file permissions in /usr/share/circuslinux
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Wed Nov  7 2001 nadvornik@suse.cz
- fixed to compile with new automake
- fixed neededforbuild for sound
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Fri Jul 27 2001 nadvornik@suse.cz
- update to 1.0.3
* Wed Jun 20 2001 nadvornik@suse.cz
- added kdelibs and kdelibs-devel to neededforbuild
* Mon Mar 26 2001 ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Thu Mar 22 2001 nadvornik@suse.cz
- used suse_update_config
* Fri Mar  9 2001 ro@suse.de
- neededforbuild sdlmixer -> SDL_mixer
* Wed Feb 21 2001 nadvornik@suse.cz
- added alsa, alsa-devel to neededforbuild
* Fri Dec  1 2000 nadvornik@suse.cz
- new packages
